DOH-CLI(1)

NAME

doh-cli - a simple DNS over HTTPS client.

SYNOPSIS

doh-cli [ OPTIONS ] domain [ rr ]

rr := { A | AAAA | CNAME | HTTPS | MX | NS | SOA | SPF | SRV | SVCB | TXT | CAA | DNSKEY | DS }

DESCRIPTION

This is a simple DoH Python client (RFC 8484, GET), which supports plain and json output.

OPTIONS

--debug
    show the entire response.

--dns dns
    choose DoH endpoint. Possible values of dns are:

    libredns
        The default value.

    libredns-ads
        LibreDNS No-Trackers/Ads.

    google

    cloudflare

    quad9

    cleanbrowsing
        blocks access to adult, pornographic and explicit sites, also VPNs.

    cleanbrowsing-secure
        blocks access to phishing, malware and malicious domains.

    cleanbrowsing-adult
        blocks access to all adult, pornographic and explicit sites.

    cira

    cira-protect
        malware and phishing protection.

    cira-family
        blocking pornographic content plus protected.

    securedns

    securedns-ads
        blockign ads, malware and phishing.

--dnssec
    request DNSSEC signatures.

--json
    display DNS response in json format.

--time
    show query time. This value is related to the client request towards the DoH provider, not the actual dns response.

--url url
    provide your own DoH endpoint. This option overrides the --dns option.

--verbose
    show the entire request.

-v, --version
    print version information and exit.

EXAMPLES

doh-cli libredns.gr A

doh-cli --json libredns.gr A

You can use jq(1) to format, parse output:

doh-cli --json libredns.gr A | jq .